# PyGeoStudio

Python library allowing reading/writing GeoStudio .gsz file. 
But, why do you need an external software such as Python to read your file while GeoStudio possess graphical tool to create your analysis and visualize your data ?

1. Automatise your numerical model processing
2. Harness the power of Python to treat your data
3. Make quality plots using [matplotlib](www.matplotlib.org) or export to powerful post-processing tools as Paraview or Tecplot
4. Modify analysis without using the graphical interface
5. Program analysis (e.g. the same analysis but with different parameters)
6. Perform automatic calibration, optimisation and sensitivity analysis
7. Real-time forecast and predictive modelling
8. The idea you have in mind which is not included in the 7 before


## Usefull link

* **Documentation**: [pygeostudio.readthedocs.io](https://pygeostudio.readthedocs.io/en/stable/)
* **User forum**: [Discussion tab](https://github.com/MoiseRousseau/PyGeoStudio/discussions)
* **Report issues**: [Issue tab](https://github.com/MoiseRousseau/PyGeoStudio/issues)


## Installation

Getting PyGeoStudio started requires Python and making GeoStudio recognized by Python. Please see the documentation [here](https://pygeostudio.readthedocs.io/en/stable/install.html)


## Examples

Examples are provided in the folder `examples`. 
It contains:

* Access the SEEP output of solved analysis and export it for processing with Paraview
* Making plots with Matplotlib
* Calibrate some properties
* Change geometry, and material and reinforcement properties
* Run parametric study

For more details, see the "Examples" section in the [documentation](https://pygeostudio.readthedocs.io/en/stable/)


## Contributing

Every contribution is welcome!
Note this is a fairly new project developped on my free time.
If you have a particular problem with GeoStudio you want to solve with Python, just let me know, and I would figure out what I can do to help you.

If you like this project, please star it! 
It will encourage me to pursuit its development.
